MagickMind
  1. Chat
  • Get started
    • Introduction
    • Quick Start
    • First API Call
  • Core Concepts
    • Projects
    • Corpus
    • Mindspaces
    • End-Users
    • Websocket
  • Authentication
    • Overview
    • OAuth Flow
    • API Keys
  • Guides
    • Creating a Corpus
    • Managing End-Users
  • SDK
    • Python
    • Go
  • API
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
        • Get End-User by ID
        • Update End-User
        • Query End-Users
        • Delete End-User
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
        • Update Mindspace
        • Get Mindspace by ID
        • Get Mindspace List
        • Delete Mindspace
        • Get Mindspace Messages
        • Delete Mindspace
        • Add Mindspace Users by ID
      • Chat
        • Magick Mind Chat
          POST
      • Realtime
        • Websocket Subscribe
  1. Chat

Magick Mind Chat

Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
POST
/v1/chat/magickmind

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.magickmind.ai/v1/chat/magickmind' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "api_key": "sk2-fdaD92BIjiq",
    "mindspace_id": "28",
    "message": "Adstringo traho cena tempore. Commodi deduco animus. Viridis comes ubi acerbitas tergiversatio tyrannus agnitio.",
    "reply_to_message_id": "73",
    "enduser_id": "78",
    "additional_context": "Curiositas defungo volaticus cultura benigne. Corrupti dicta sublime vis custodia. Ullus strues acerbitas conscendo tempore.",
    "artifact_ids": [],
    "config": {
        "fast_model_id": "72",
        "smart_model_ids": [
            "dolor mollit ipsum adipisicing deserunt",
            "pariatur"
        ],
        "compute_power": 1
    }
}'
Response Response Example
{
    "success": true,
    "message": "string",
    "content": {
        "message_id": "string",
        "content": "string",
        "reply_to": "string"
    }
}
Previous
Add Mindspace Users by ID
Next
Websocket Subscribe
Built with